#252 Xfree86 4.3 reproducible full screen crash

Causes Crash
closed-fixed
X server (105)
5
2004-03-04
2003-07-23
Gavin Sherlock
No

Hi,

I had posted this in the help forum, but just wanted to make
sure it was also in the bug tracker:

belhaven 106 % startx -- quartz

2003-05-16 15:58:48.275 XDarwin[16704] CFLog (0):
CFPropertyListCreateFromXMLData(): Old-style plist parser:
missing semicolon in dictionary.
2003-05-16 15:58:48.277 XDarwin[16704] CFLog (0):
CFPropertyListCreateFromXMLData(): The file name for this
data might be (or it might not): file://localhost/usr/share/
zoneinfo/US/Pacific
2003-05-16 15:58:48.311 XDarwin[16704]
XDarwin 1.2.0

XFree86 Version 4.3.0 / X Window System
(protocol Version 11, revision 0, vendor release 6600)
Release Date: 27 February 2003
If the server is older than 6-12 months, or if your
hardware is
newer than the above date, look for a newer version
before
reporting problems. (See http://www.XFree86.Org/
FAQ)
Operating System: Darwin Apple Computer, Inc.
Using keymapping provided in /System/Library/Keyboards/
USA.keymapping.
_XSERVTransmkdir: Owner of /tmp/.X11-unix should be set
to root
Loading GLX bundle glxMesa.bundle (using Mesa)
Display mode: Full screen Quartz
Screen 0 added: 1600x1024 @ (0,0)
X connection to :0.0 broken (explicit kill or server
shutdown).

It crashes reproducibly at this screen resolution in full
screen mode, with thousands or millions of colors. If I
reduce the resolution, or use rootless, then it doesn't crash.
The crash log is:

Date/Time: 2003-05-16 15:56:17 -0700
OS Version: 10.2.6 (Build 6L60)
Host: belhaven.Stanford.EDU

Command: XDarwin
PID: 16685

Exception: EXC_BAD_ACCESS (0x0001)
Codes: KERN_INVALID_ADDRESS (0x0001) at
0x029ac800

Thread 0:
#0 0x90073c28 in mach_msg_trap
#1 0x90005f70 in mach_msg
#2 0x901489f0 in __CFRunLoopRun
#3 0x90180f58 in CFRunLoopRunSpecific
#4 0x969a3b70 in RunCurrentEventLoopInMode
#5 0x969b3b00 in ReceiveNextEventCommon
#6 0x969dabbc in BlockUntilNextEventMatchingListInMode
#7 0x9308dedc in _DPSNextEvent
#8 0x930a0158 in -[NSApplication
nextEventMatchingMask:untilDate:inMode:dequeue:]
#9 0x930b1d88 in -[NSApplication run]
#10 0x9315fc58 in NSApplicationMain
#11 0x000031a8 in DarwinHandleGUI
#12 0x0000351c in main
#13 0x00002dc0 in _start (crt.c:267)
#14 0x00002c40 in start

Thread 1 Crashed:
#0 0x00065754 in fbBlt
#1 0x000642b8 in fbOddTile
#2 0x00063b6c in fbFillRegionTiled
#3 0x0005b17c in shadowPaintWindow
#4 0x000e55a4 in miSpritePaintWindowBackground
#5 0x000d3540 in miWindowExposures
#6 0x00016880 in MapWindow
#7 0x00003adc in main
#8 0x0004a414 in -[XServer run]
#9 0x9081cd38 in forkThreadForFunction
#10 0x90020d28 in _pthread_body

PPC Thread State:
srr0: 0x00065754 srr1: 0x0000d030 vrsave:
0x00000000
xer: 0x00000000 lr: 0x000642b8 ctr: 0x00063b8c mq:
0x00000000
r0: 0x00000000 r1: 0xf002fa60 r2: 0x00000000 r3:
0x02b1ed60
r4: 0x00000004 r5: 0x00000000 r6: 0x02b1ed84 r7:
0x029ac800
r8: 0x00000000 r9: 0x00001c00 r10: 0x00000002 r11:
0x0016791c
r12: 0x00000004 r13: 0x00000003 r14: 0x00000004
r15: 0x00000700
r16: 0x00000001 r17: 0x00000000 r18: 0x00000000
r19: 0x02b1ed90
r20: 0x029ae400 r21: 0x00000000 r22: 0x00000000
r23: 0x00000001
r24: 0x00000000 r25: 0x00000000 r26: 0x00000000
r27: 0xffffffff
r28: 0x00000080 r29: 0x00000000 r30: 0x00000000
r31: 0x0006526c

It would be great to have this fixed, as I'm very happy with
Xfree86 4.3 on my other machines that don;t have cinema
displays - it's waaaaay faster than 4.2.x

Cheers,
Gavin

Discussion

  • Morgan Hough
    Morgan Hough
    2003-08-06

    Logged In: YES
    user_id=6763

    I have the same problem with my Cinema Display. Let me know
    how I can help resolve this issue. Should I submit my crash log as
    well?

     
  • Logged In: YES
    user_id=133579

    Fixed in the top of the tree and in the 4.3 branch.

     
    • assigned_to: nobody --> torrey
    • status: open --> open-fixed
     
  • Gavin Sherlock
    Gavin Sherlock
    2003-09-06

    Logged In: YES
    user_id=382329

    I have a new crash - still related to screen resolution, but with a
    different crash log. It's on a 12.1 inch iBook. XDarwin 4.3 works
    great at 1024 x 768, but crashes everytime at 800 by 600. The
    terminal says:

    tetleys 102 % startx

    2003-09-06 15:44:17.695 XDarwin[7168] CFLog (0):
    CFPropertyListCreateFromXMLData(): Old-style plist parser:
    missing semicolon in dictionary.
    2003-09-06 15:44:17.783 XDarwin[7168] CFLog (0):
    CFPropertyListCreateFromXMLData(): The file name for this data
    might be (or it might not): file://localhost/usr/share/zoneinfo/
    Europe/Paris
    2003-09-06 15:44:18.034 XDarwin[7168]
    XDarwin 1.2.0

    XFree86 Version 4.3.0 / X Window System
    (protocol Version 11, revision 0, vendor release 6600)
    Release Date: 27 February 2003
    If the server is older than 6-12 months, or if your hardware
    is
    newer than the above date, look for a newer version before
    reporting problems. (See http://www.XFree86.Org/FAQ\)
    Operating System: Darwin Apple Computer, Inc.
    Using keymapping provided in /System/Library/Keyboards/
    USA.keymapping.
    _XSERVTransmkdir: Owner of /tmp/.X11-unix should be set to root
    Loading GLX bundle glxMesa.bundle (using Mesa)
    Display mode: Full screen Quartz
    Screen 0 added: 800x600 @ (0,0)
    cat: /Users/sherlock/.Xauthority: No such file or directory

    Gdk-WARNING **: locale not supported by C library
    X connection to :0.0 broken (explicit kill or server shutdown).
    X connection to :0.0 broken (explicit kill or server shutdown).
    xinit: connection to X server lost.

    and the crash log is:

    Date/Time: 2003-09-06 15:44:27 +0200
    OS Version: 10.2.6 (Build 6L60)
    Host: tetleys.local.

    Command: XDarwin
    PID: 7168

    Exception: EXC_BAD_ACCESS (0x0001)
    Codes: KERN_PROTECTION_FAILURE (0x0002) at 0x00000000

    Thread 0:
    #0 0x90073c08 in mach_msg_trap
    #1 0x90005fd0 in mach_msg
    #2 0x901489f0 in __CFRunLoopRun
    #3 0x90180f58 in CFRunLoopRunSpecific
    #4 0x969a3b70 in RunCurrentEventLoopInMode
    #5 0x969b3b00 in ReceiveNextEventCommon
    #6 0x969dabbc in BlockUntilNextEventMatchingListInMode
    #7 0x9308dedc in _DPSNextEvent
    #8 0x930a0158 in -[NSApplication
    nextEventMatchingMask:untilDate:inMode:dequeue:]
    #9 0x930b1d88 in -[NSApplication run]
    #10 0x9315fc58 in NSApplicationMain
    #11 0x000031a8 in DarwinHandleGUI
    #12 0x0000351c in main
    #13 0x00002dc0 in _start (crt.c:267)
    #14 0x00002c40 in start

    Thread 1 Crashed:
    #0 0x000b5468 in LbxCheckColorRequest
    #1 0x00020c3c in ProcAllocNamedColor
    #2 0x0001be18 in Dispatch
    #3 0x00003b40 in main
    #4 0x0004a414 in -[XServer run]
    #5 0x97e2cc50 in forkThreadForFunction
    #6 0x90020c88 in _pthread_body

    PPC Thread State:
    srr0: 0x000b5468 srr1: 0x0000d030 vrsave:
    0x00000000
    xer: 0x20000000 lr: 0x000b5440 ctr: 0x000235c0 mq:
    0x00000000
    r0: 0x00000000 r1: 0xf002fc30 r2: 0x0016ba88 r3:
    0x020681e0
    r4: 0x01e90000 r5: 0x02068390 r6: 0x00000002 r7:
    0x0000012c
    r8: 0x00000000 r9: 0x00000000 r10: 0x00023564 r11:
    0x00000000
    r12: 0x00000000 r13: 0x00000000 r14: 0x00000000 r15:
    0x00000000
    r16: 0x00000000 r17: 0x00000000 r18: 0x00000000 r19:
    0x0016bc04
    r20: 0x0019bc04 r21: 0x0019bc04 r22: 0x0019bc04 r23:
    0x0019bc04
    r24: 0x001acae0 r25: 0x020681e0 r26: 0x0000012c r27:
    0x02064ca0
    r28: 0x020681e0 r29: 0x01e90000 r30: 0x02068390 r31:
    0x000b5440

    which is obviously crashing in a different place than the log that I
    posted previously, so in case this is different than the fix that
    exists in the 4.3 branch, I thought I'd let you know,

    Cheers,
    Gavin

     
  • Logged In: YES
    user_id=133579

    This looks like the same bug that has been fixed. The
    problem was a memory smasher in certain resolutions. This
    causes it to crash in a variety of places depending on your
    exact configuration. The root cause has been fixed, however.

     
  • Logged In: NO

    I'm also getting a similar crash as well. Email me if you want
    the log of the crash

    kevin "at" mcpeake.com

     
    • status: open-fixed --> closed-fixed
     
  • Logged In: YES
    user_id=133579

    Fixed in XFree86 4.4.0.